Différences

Ci-dessous, les différences entre deux révisions de la page.

Lien vers cette vue comparative

Prochaine révision
Révision précédente
fr:dedicated-server:tutorials:administration:debian-ubuntu-package-management [2015/12/01 15:45]
jojo ↷ Page déplacée de fr:serveur-dedie:tutoriel:gestion-paquets-debian-ubuntu à serveur-dedie:tutoriel:gestion-paquets-debian-ubuntu
fr:dedicated-server:tutorials:administration:debian-ubuntu-package-management [2018/02/09 13:57] (Version actuelle)
dedibox
Ligne 1: Ligne 1:
 ====== Gestion des paquets Debian / Ubuntu ====== ====== Gestion des paquets Debian / Ubuntu ======
  
-Sous Debian ​Ubuntu, il vous faudra utiliser le gestionnaire de paquet ''​APT''​ pour gérer vos packets.+<note tip>  
 +**Critères requis :** 
 +  * Vous avez un compte sur [[https://​console.online.net|console.online.net]]\\ 
 +  * Vous avez un serveur dédié [[https://​www.online.net/​fr/​serveur-dedie|Dedibox]] 
 +  * Vous avez installé le serveur sous **Debian** ou **Ubuntu** 
 +</​note>​
  
-<​note>​Les paquets sont des logiciels pré-compilés ​prêt à l'​utilisation pour votre Système d'​Exploitation.</​note>​+Sous Debian & Ubuntu, il vous faudra utiliser le gestionnaire de paquet ''​APT''​ pour gérer vos paquets. 
 + 
 +<​note>​Les paquets sont des logiciels pré-compilés ​prêts ​à l'​utilisation pour votre Système d'​Exploitation.</​note>​
  
 Nous allons donc voir ici les commandes de base pour maintenir votre système. Nous allons donc voir ici les commandes de base pour maintenir votre système.
Ligne 9: Ligne 16:
 == Mise à jour des repositories == == Mise à jour des repositories ==
  
-Le système de paquet ​se base sur des mirrors, généralement indiqué dans ''/​etc/​apt/​sources.list''​.+Le système de paquets ​se base sur des mirrors, généralement indiqué dans ''/​etc/​apt/​sources.list''​.
 Lorsque vous souhaitez mettre à jour vos paquets, il vous faudra dans un premier temps, mettre à jour la liste des paquets disponibles. Lorsque vous souhaitez mettre à jour vos paquets, il vous faudra dans un premier temps, mettre à jour la liste des paquets disponibles.
  
Ligne 34: Ligne 41:
  
 Le système ''​APT''​ est bien fait et sait tout ce qui est déjà installé via ce système. Le système ''​APT''​ est bien fait et sait tout ce qui est déjà installé via ce système.
-Si vous lui demandez de mettre à jour vos paquets, il comparera alors sa liste de paquet ​installé avec les paquets disponible sur les mirrors.+Si vous lui demandez de mettre à jour vos paquets, il comparera alors sa liste de paquets ​installé avec les paquets disponible sur les mirrors.
  
 S'il y a des paquets plus récents, il vous les proposera en mise à jour. S'il y a des paquets plus récents, il vous les proposera en mise à jour.
Ligne 75: Ligne 82:
 Si vous souhaitez installer des paquets spécifiques,​ vous pouvez les rechercher pour voir comment ils s'​appellent,​ ou voir, tout simplement, s'ils existent. Si vous souhaitez installer des paquets spécifiques,​ vous pouvez les rechercher pour voir comment ils s'​appellent,​ ou voir, tout simplement, s'ils existent.
  
-Par exemple, je vais essayer de rechercher le logiciel MariaDB, la version OpenSource de MySQL.+Par exemple, je vais essayer de rechercher le logiciel ​<​nowiki>​MariaDB</​nowiki>​, la version ​<​nowiki>​OpenSource</​nowiki> ​de <​nowiki>​MySQL</​nowiki>​.
  
 <​code>​apt-cache search mariadb</​code>​ <​code>​apt-cache search mariadb</​code>​
Ligne 91: Ligne 98:
 </​code>​ </​code>​
  
-Je vois que j'ai plusieurs versions ​disponible+Je vois que j'ai plusieurs versions ​disponibles
-Il est en général recommandé de choisir les "​Metapaquet"​ quand disponible.+Il est en général recommandé de choisir les "​Metapaquet"​ quand disponibles.
 Ici ''​mariadb-server''​. En effet, ces Metapaquet installerons toujours la dernière version disponible, contrairement aux paquets classiques (''​mariadb-server-5.5''​) qui n'​installerons que la version 5.5 et y resterons. Ici ''​mariadb-server''​. En effet, ces Metapaquet installerons toujours la dernière version disponible, contrairement aux paquets classiques (''​mariadb-server-5.5''​) qui n'​installerons que la version 5.5 et y resterons.
  
Ligne 100: Ligne 107:
 <​code>​sudo apt-get install PAQUET</​code>​ <​code>​sudo apt-get install PAQUET</​code>​
  
-Si nous reprenons le précédent exemple avec MariaDB, cela donnera :+Si nous reprenons le précédent exemple avec <​nowiki>​MariaDB</​nowiki>​, cela donnera :
 <​code>​sudo apt-get install mariadb-server</​code>​ <​code>​sudo apt-get install mariadb-server</​code>​
  
Ligne 107: Ligne 114:
 Comme vous aurez pu le constater, lorsque vous souhaitez installer un paquet, APT vous propose généralement d'en installer d'​autres en même temps. Comme vous aurez pu le constater, lorsque vous souhaitez installer un paquet, APT vous propose généralement d'en installer d'​autres en même temps.
  
-Cela s'appel des dépendances.+Cela s'appelle ​des dépendances.
  
-Une dépendances ​et un petit logiciel sur lequel votre paquet s'​appuiera pour fonctionner.+Une dépendance ​et un petit logiciel sur lequel votre paquet s'​appuiera pour fonctionner.
  
 Cependant il arrive que des dépendances deviennent inutilisées,​ suite à un changement de dépendance de votre paquet par exemple. Cependant il arrive que des dépendances deviennent inutilisées,​ suite à un changement de dépendance de votre paquet par exemple.